

/* -------------- Boutons de gestion -------------------*/
.btn-list {
    margin: 18% 0% -11% -66%;
}

.btn-list a {
    font-family: sans-serif;
    font-size: 13px;
    color: white;
    margin: -15% 0% 12% 7%;
    background-color: var(--vert-color);
    border-radius: 0.25rem;
}

.btn-list a:hover{
    color: #ffffff;
    background-color: var(--orange-color);
}

#ajout{
    background-color: #64a2ff;
    padding: 10px;
}

#ajout:hover{
    background-color: #0e52b6;
    padding: 10px;
}

#anonymiser{
    background-color: #ff8a06;
}

#anonymiser:hover{
    background-color: #d67506;
}

#excel{
    background-color: #008e0c;
}

#excel:hover{
    background-color: #06550b;
}

#btn-pdf, #client_sage{
    background-color: #9f9f9f;
}
#btn-pdf:hover, #client_sage:hover{
    background-color: #7c7c7c;
}

.btn.btn-primary.search{
    margin: -5% 0% 0% 30%;
}

.btn-primary {
    border-radius: 0.25rem;
    padding: 10px 25px;
    font-weight: 500;
    box-shadow: 0 4px 15px rgba(67, 97, 238, 0.3);
}

.my-page .btn{
    border: none;
    background-color: var(--vert-color);
    color: white;

}


.my-page .btn:hover{
    border: none;
    background-color: var(--orange-color);
    color: white;

}

.table .btn {
    background-color: var(--vert-color);
    color: var(--gris-color);
    border:none;
}

.table .btn:hover {
    background-color: var(--orange-color);
    color: var(--gris-color);
    border:none;

}

/*-------------  page accueil ADMIN ---------------------*/


.accueil-admin{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: stretch;
}

.card-admin{
    background-color: #e1e1e1;
    padding: 1%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 2% 0% 3% 0%;
    width: 16%;
    justify-content: flex-end;
}

.card-admin p{
    font-size: 1.2rem;
}

.page-tableau-admin {
    margin: 1% 1% 2% 1%;
    padding: 2%;
    height: 70% ;
    background-color: rgba(0, 103, 79, 0.21);
}

.page-admin {
    margin-left: 10%;

}

.page-admin .navbar{
    background-color: #efefef;

}

.page-admin .li:hover{
    background-color: rgba(115, 115, 115, 0.48);
    color: #000;
    font-size: 0.9rem;
    font-weight: 200;
}

.page-admin  .li{
    color: #000;
    font-size: 0.9rem;
    font-weight: 200;
}

.page-admin .nav-link{
    color: #000;
    margin-bottom: 1%;
}

.page-admin .container-xl{
    margin-top: -1%;
}


/*-------------  Page + label adherent ---------------------*/


form {
    position: relative;
    z-index: 10; /* Force le formulaire à être au-dessus des marges des autres blocs */
}

.container .my-page card{
    width: 100%;
    margin: 3% 0% 0% 0%;
    padding: 2%;

}
.container .my-page{

    margin:auto;
}

.page input {
    font-family: sans-serif;
    width: 52%;
    margin: 0% 0% 11% -133%;
}

.page-title h2{
    margin: 0% 1% 2% 3%;
}

.page .input-group-text label {
    margin: -4% 10% -9% 20%;
    width: 34%;
}

.page .input-group-text {
    margin: -6% 0% -5.5% 3%;
    width: 28%;
}

.my-page .form-select {
    background-color: #ffffff;
}

.my-page .form-select:hover {
    background-color: #ffffff;
}



.input-group-text {
    position: relative;
    z-index: 20; /* Assure que les labels et cases sont cliquables */
}


.page .form-select-sm{
    width: auto;
    margin: 0% 0% 2% -130%;
}


.table-responsive {
    background-color: rgb(236, 236, 236);
    width: calc(100% - 2rem);
    margin: 1rem;
}

/*----------- Label adherent (ajout)-----------------*/

.datesortie label{
    font-family: sans-serif;
    margin: 9% 1% 2% 0%;
}
.datesortie{
    width: 20%;
}

/*  ----------- Bouton de chargement ----------- */
.btn-loading {
    pointer-events: none; /* Empêche le double-clic */
    opacity: 0.65;
    cursor: not-allowed;
    position: relative;
}

/* Optionnel : fait tourner l'icône automatiquement si c'est une icône sync */
.btn-loading i.fa-sync {
    animation: fa-spin 2s infinite linear;
}

/*--------------- Tableau -----------------*/
.table tr.ligne:hover {

    background: #cdcdcd;
}
/*--------------- Responsive -----------------*/

@media (max-width: 1399px) {
    .table-responsive th {
        font-size: 8px;
    }

    .table-responsive {
        font-size: 11px;
    }

    .page input {
        font-family: sans-serif;
        width: 37%;
        margin: 4% 0% 10% -86%;
    }

    .page .input-group-text label {
        margin: -4% 23% -5% 12%;
        width: 34%;

    }
    .page .input-group-text {
        margin: -9% 0% -5.5% -21%;
        width: 28%;
    }
    .page .form-select-sm {
        width: auto;
        margin: 0% 87% 0% -86%;
    }
    .table tr.ligne:hover {

        background: #cdcdcd;
    }
}


